This VST Plug-in is not compatible with Live - 9.2 error

Discussion of music production, audio, equipment and any related topics, either with or without Ableton Live
The Philosopher King
Posts: 190
Joined: Sun Oct 26, 2008 7:56 pm

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by The Philosopher King » Thu Jul 02, 2015 9:16 pm

So far I'm getting instant crashes with:

Antares
Celemony
Kush Audio
Lexicon (Reverbs are fine (MPX and LXP). Just the chorus crashing - must try a reinstall tomorrow)
NI Replika was crashing yesterday. Gotta confirm again later.
Slate Digital
SONiVOX (all except TimewARP2600)
Drumagog5

Very time consuming just narrowing it down to this little list.

Windows 7. Live 9.2 32bit.

Too tired to add any more detail right now (or ever maybe). :)
A serious program error has occurred.
Live will shut down after this message box is closed.

zimske
Posts: 2
Joined: Fri Nov 02, 2012 8:55 pm

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by zimske » Fri Jul 03, 2015 9:42 am

I bumped into some issues as well; 9.2 crashing due to some failure during startup VST scanning (one particular plugin seemed to cause the problem) or having difficulties with opening projects made with 9.1.x. (loading samples would freeze Live)...

Then I remembered something I have read a while ago about deleting the Preferences.cfg file in the \AppData\Roaming\Ableton\Live 9.2\Preferences folder, gave it a shot, and it looks like it cured my pains at least...

The Philosopher King
Posts: 190
Joined: Sun Oct 26, 2008 7:56 pm

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by The Philosopher King » Fri Jul 03, 2015 10:16 am

My update to v9.2 Suite was automatic, so I eventually uninstalled it, downloaded a fresh copy, and installed that instead. The reply I got from Ableton today would indicate that if you're having a problem, then the problem is with the Developer of the Plugin and not Live. No surprises there. :)

The list above is my current list of woes. I know of others who are having crashes with Celemony Melodyne (at least).

I'll attempt reinstalling any other troublesome Plugins to see if I can shorten my own list a bit more and then start contacting Developers. But first, I'll take advantage of that glorious sunshine outside my window.
A serious program error has occurred.
Live will shut down after this message box is closed.

UtopiaComplex
Posts: 1
Joined: Thu Jul 09, 2015 3:30 am

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by UtopiaComplex » Thu Jul 09, 2015 3:35 am

I've been having the same problem since the 9.2 and it seems to affect any tracks I've made using Sonivox so far. Any word of fixes on the horizon yet?

bluyckx
Posts: 3
Joined: Tue Jun 30, 2015 9:58 am

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by bluyckx » Fri Jul 10, 2015 12:11 pm

Sometimes Live crashes when I load a set that has been made with the previous version 9.1, and when 3rd party plugins are used
The crash happens only when I try to change something in the set. As long as I leave it alone, nothing happens.
Not sure if this is related to previously reported crashes: Live just stops working and I get a windows message that the program has to close.

A work around is to open the old set and immediately save it again. After that: no more crashing.
I guess Ableton has changed some things in the file format of the saved sets.
Perhaps this could help some of you guys.

Chill - Step DnB
Posts: 5
Joined: Fri Jun 05, 2015 11:59 pm

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by Chill - Step DnB » Mon Jul 13, 2015 3:53 pm

anyone having problems with fm8?

all my plugins are up to date with the latest updates. OS = win7 32bit

also, i'm getting intermittent crashes.

maybe the windows 10 upgrade will make for a more stable operating system for the new Live... and then again, maybe not.

can anyone report how 9.2 is running on win 8?

The Philosopher King
Posts: 190
Joined: Sun Oct 26, 2008 7:56 pm

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by The Philosopher King » Mon Jul 13, 2015 4:27 pm

FM8 is working as expected for me on Win7, 32bit Ableton.
A serious program error has occurred.
Live will shut down after this message box is closed.

Chill - Step DnB
Posts: 5
Joined: Fri Jun 05, 2015 11:59 pm

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by Chill - Step DnB » Mon Jul 13, 2015 10:25 pm

yeah - reinstalled ableton from scratch and it seems to work again with fm8


it all seems to be a rather crashy affair overall, through - requiring restarts etc. the whole system feels quite unstable. hopefully a new update is due out to tighten the whole thing up or i find it's something straightforward that i've just missed.

The Philosopher King
Posts: 190
Joined: Sun Oct 26, 2008 7:56 pm

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by The Philosopher King » Thu Jul 16, 2015 7:25 am

Well despite the initial reply from Ableton Support:

I got an email from Nathan at Kush Audio. Kush UBK-1 is crashing Live 9.2 Suite 32bit on

Windows 7 64bit.

Ableton (in their own words) have ''just deployed a new beta which contains a fix for the crashes

affecting Kush plugins on Live 9.2 32-bit.''

Feel free to rely your users (Kush Audio Users) to the following page, which instructs on how to

take part to the beta program: https://www.ableton.com/en/beta/

So I did. And guess what?

All of the Plugins which were crashing Live 9.2 work perfectly in ''ableton_live_beta_921b1_32''.

The only exception being Replika by Native Instruments which is a POS and doesn't work

anywhere anymore. :)

So I guess I'll be waiting for the next official update to Live. I don't like the idea of saving my

current projects with a BETA version.
A serious program error has occurred.
Live will shut down after this message box is closed.

Myattmode
Posts: 37
Joined: Sat Jan 28, 2012 9:58 am
Location: Leeds, UK
Contact:

Re: This VST Plug-in is not compatible with Live - 9.2 error

Post by Myattmode » Mon Oct 12, 2015 8:40 pm

I have had fun and games for the past couple of days with Ableton 9.2.2 (32 Bit) constantly crashing after reinstalling Windows 7 followed by all the tons of music software afterwards.

After much trial and error I discovered that Replika.dll (v1.2.2) was the culprit which then drew me to this forum to discover it is an issue already.

Following some advice here I uninstalled/reinstalled Replika with an earlier version I have (v1.2.0) and I am just ignoring the Replika update in the Service Centre. To date I have had no further issues :)

Post Reply